<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android">

    <data>

        <import type="com.lukouguoji.module_base.ui.weight.data.layout.DataLayoutType" />

        <variable
            name="viewModel"
            type="com.lukouguoji.aerologic.page.flight.query.details.FlightQueryDetailsViewModel" />
    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/color_f2"
        android:orientation="vertical">

        <include layout="@layout/title_tool_bar" />

        <ScrollView
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1"
            android:fillViewport="true">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:padding="15dp">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@drawable/bg_white_radius_8"
                    android:orientation="vertical"
                    android:padding="15dp">

                    <!-- 第1行：航班日期、航班号、航程 -->
                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal">

                        <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayoutNew
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            enable="@{false}"
                            title='@{"航班日期"}'
                            titleLength="@{4}"
                            type="@{DataLayoutType.INPUT}"
                            value='@{viewModel.dataBean.fdate}' />

                        <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayoutNew
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            enable="@{false}"
                            title='@{"航班号"}'
                            titleLength="@{4}"
                            type="@{DataLayoutType.INPUT}"
                            value='@{viewModel.dataBean.fno}' />

                        <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayoutNew
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            enable="@{false}"
                            title='@{"航程"}'
                            titleLength="@{4}"
                            type="@{DataLayoutType.INPUT}"
                            value='@{viewModel.dataBean.range}' />

                    </LinearLayout>

                    <!-- 第2行：地区类型、服务类型、经停站 -->
                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="8dp"
                        android:orientation="horizontal">

                        <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayoutNew
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            enable="@{false}"
                            title='@{"地区类型"}'
                            titleLength="@{4}"
                            type="@{DataLayoutType.INPUT}"
                            value='@{viewModel.dataBean.countryType}' />

                        <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayoutNew
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            enable="@{false}"
                            title='@{"服务类型"}'
                            titleLength="@{4}"
                            type="@{DataLayoutType.INPUT}"
                            value='@{viewModel.dataBean.serviceType}' />

                        <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayoutNew
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            enable="@{false}"
                            title='@{"经停站"}'
                            titleLength="@{4}"
                            type="@{DataLayoutType.INPUT}"
                            value='@{viewModel.dataBean.jtz}' />

                    </LinearLayout>

                    <!-- 第3行：计划起飞、预计起飞、实际起飞 -->
                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="8dp"
                        android:orientation="horizontal">

                        <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayoutNew
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            enable="@{false}"
                            title='@{"计划起飞"}'
                            titleLength="@{4}"
                            type="@{DataLayoutType.INPUT}"
                            value='@{viewModel.dataBean.scheduledTackOff}' />

                        <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayoutNew
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            enable="@{false}"
                            title='@{"预计起飞"}'
                            titleLength="@{4}"
                            type="@{DataLayoutType.INPUT}"
                            value='@{viewModel.dataBean.estimatedTakeOff}' />

                        <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayoutNew
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            enable="@{false}"
                            title='@{"实际起飞"}'
                            titleLength="@{4}"
                            type="@{DataLayoutType.INPUT}"
                            value='@{viewModel.dataBean.actualTakeOff}' />

                    </LinearLayout>

                    <!-- 第4行：计划降落、预计降落、实际降落 -->
                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="8dp"
                        android:orientation="horizontal">

                        <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayoutNew
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            enable="@{false}"
                            title='@{"计划降落"}'
                            titleLength="@{4}"
                            type="@{DataLayoutType.INPUT}"
                            value='@{viewModel.dataBean.scheduledArrival}' />

                        <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayoutNew
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            enable="@{false}"
                            title='@{"预计降落"}'
                            titleLength="@{4}"
                            type="@{DataLayoutType.INPUT}"
                            value='@{viewModel.dataBean.estimatedArrival}' />

                        <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayoutNew
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            enable="@{false}"
                            title='@{"实际降落"}'
                            titleLength="@{4}"
                            type="@{DataLayoutType.INPUT}"
                            value='@{viewModel.dataBean.actualArrival}' />

                    </LinearLayout>

                    <!-- 第5行：飞行状态、航班状态、延误原因 -->
                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="8dp"
                        android:orientation="horizontal">

                        <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayoutNew
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            enable="@{false}"
                            title='@{"飞行状态"}'
                            titleLength="@{4}"
                            type="@{DataLayoutType.INPUT}"
                            value='@{viewModel.dataBean.portCode}' />

                        <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayoutNew
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            enable="@{false}"
                            title='@{"航班状态"}'
                            titleLength="@{4}"
                            type="@{DataLayoutType.INPUT}"
                            value='@{viewModel.dataBean.flightStatus}' />

                        <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayoutNew
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            enable="@{false}"
                            title='@{"延误原因"}'
                            titleLength="@{4}"
                            type="@{DataLayoutType.INPUT}"
                            value='@{viewModel.dataBean.delayFreeText}' />

                    </LinearLayout>

                    <!-- 第6行：机号、机型、机位 -->
                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="8dp"
                        android:orientation="horizontal">

                        <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayoutNew
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            enable="@{false}"
                            title='@{"机号"}'
                            titleLength="@{4}"
                            type="@{DataLayoutType.INPUT}"
                            value='@{viewModel.dataBean.registration}' />

                        <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayoutNew
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            enable="@{false}"
                            title='@{"机型"}'
                            titleLength="@{4}"
                            type="@{DataLayoutType.INPUT}"
                            value='@{viewModel.dataBean.aircraftCode}' />

                        <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayoutNew
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            enable="@{false}"
                            title='@{"机位"}'
                            titleLength="@{4}"
                            type="@{DataLayoutType.INPUT}"
                            value='@{viewModel.dataBean.standId}' />

                    </LinearLayout>

                </LinearLayout>

            </LinearLayout>

        </ScrollView>

    </LinearLayout>
</layout>
